<?php
/*
Copyright 2011 da UFRGS - Universidade Federal do Rio Grande do Sul

Este arquivo  parte do programa SAELE - Sistema Aberto de Eleies Eletrnicas.

O SAELE  um software livre; voc pode redistribu-lo e/ou modific-lo dentro dos
termos da Licena Pblica Geral GNU como publicada pela Fundao do Software Livre
(FSF); na verso 2 da Licena.

Este programa  distribudo na esperana que possa ser til, mas SEM NENHUMA GARANTIA;
sem uma garantia implcita de ADEQUAO a qualquer MERCADO ou APLICAO EM PARTICULAR.
Veja a Licena Pblica Geral GNU/GPL em portugus para maiores detalhes.

Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo "LICENCA.txt",
junto com este programa, se no, acesse o Portal do Software Pblico Brasileiro no
endereo www.softwarepublico.gov.br ou escreva para a Fundao do Software Livre(FSF)
Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA
*/
                       // Pgina com a lista das urnas de determinada Eleio
require_once('../CABECALHO.PHP');

$db = db::instancia();

$Controlador = Controlador::instancia();
$Pessoa = $Controlador->recuperaPessoaLogada();

MostraCabecalho("Cadastro de Urnas");
require_once("Xajax_Urnas.php");
$xajax->printJavascript('../xajax/');

$Concurso = $Controlador->recuperaConcursoEdicao();

if ($Concurso->estadoConcurso() == CONCURSO_ENCERRADO) {
    echo "<br><font class=\"a2\">Erro! A elei&ccedil;&atilde;o j&aacute; acabou.</font><br><br>\n";
    echo "<a href=\"javascript: history.back(-1);\">Voltar</a>\n";
    echo "</body></html>";
    exit;
}
?>
<script language="javascript">
    function FechaLayer() {
        Layer = document.getElementById('DivUrna');
        Layer.innerHTML = '';
        Layer.style.display = 'none';
    }
				
    function ExibeLayer() {
        Layer = document.getElementById('DivUrna');
        
        larguraTela = window.innerWidth;
        if(isNaN(larguraTela)) larguraTela = document.body.clientWidth;
        if(isNaN(larguraTela)) larguraTela = document.documentElement.clientWidth;

        Layer.style.top = document.body.scrollTop + 120;
        Layer.style.left = Math.round((larguraTela - 550) / 2);
        Layer.style.display = 'block';
    }
</script>

<br />

<div align="center">
  <font size="3" face="verdana"><b>Aten&ccedil;&atilde;o:</b> As urnas somente poder&atilde;o ser exclu&iacute;das antes do in&iacute;cio do concurso eleitoral.</font>
</div>

<br />

<div id="ListaUrnas">
</div>

<div class="Botoes">
    <input type="button" value="Voltar" onclick="javascript: location.href = 'ELC_Relatorio_Eleicao.php';">
</div>

<div id="DivUrna" class="Layer1" style="width: 600px; height: 300px; display: none;">
</div>
<script>xajax_ListaUrnas();</script>
</body>
</html>