<?php
/*
Copyright 2011 da UFRGS - Universidade Federal do Rio Grande do Sul

Este arquivo  parte do programa SAELE - Sistema Aberto de Eleies Eletrnicas.

O SAELE  um software livre; voc pode redistribu-lo e/ou modific-lo dentro dos
termos da Licena Pblica Geral GNU como publicada pela Fundao do Software Livre
(FSF); na verso 2 da Licena.

Este programa  distribudo na esperana que possa ser til, mas SEM NENHUMA GARANTIA;
sem uma garantia implcita de ADEQUAO a qualquer MERCADO ou APLICAO EM PARTICULAR.
Veja a Licena Pblica Geral GNU/GPL em portugus para maiores detalhes.

Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo "LICENCA.txt",
junto com este programa, se no, acesse o Portal do Software Pblico Brasileiro no
endereo www.softwarepublico.gov.br ou escreva para a Fundao do Software Livre(FSF)
Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA
*/

error_reporting(E_PARSE | E_ERROR);

/**
 * Esta funo  responsvel por realizar a autenticao da pessoa. Ela ser
 * invocada no momento do login, e deve certificar que o usurio informado 
 * vlido e sua senha est correta. O valor de retorno dever ser booleano
 * igual a TRUE caso a autenticao seja bem sucedida e FALSE em caso contrrio.
 * @param string $Usuario
 * @param string $Senha
 * @return boolean
 */
function AutenticaPessoa($Usuario, $Senha) {
	return true;
}

/**
 * Esta funo realiza a homologao dos dados de uma pessoa no sistema. Ela
 * receber todos os dados da pessoa armazenados no sistema (Nome, CPF, Registro
 * geral, E-Mail, etc.) em um vetor, e dever verificar se esses dados esto
 * corretos de acordo com a base institucional. O valor de retorno ser um
 * string, e dever ser NULL quando a homologao for bem sucedida; em caso
 * contrrio, a funo dever retornar a mensagem de erro que ser exibida
 * para o gerente de sistemas no momento da homologao. No h restries
 * para a mensagem, porm recomenda-se que ela seja explcita e auto-explicativa.
 * O vetor $DadosPessoa tem, por default, os seguintes ndices:
 *  codpessoaeleicao: o cdigo de uso interno do sistema
 *  identificacaousuario: um cdigo de identificao definido pela instituio
 *  nomepessoa: o nome da pessoa, como registrado no sistema
 *  cpf: o cpf, armazenado como nmero - isto , sem zeros  esquerda, pontos e traos
 *  nrregistrogeral: o nmero da carteira de identidade
 *  localtrabalho: o nome do local de trabalho do usurio; pode ser vazio
 *  pessoaautenticada: um caracter S ou N, que diz que a pessoa est homologada
 *  gerentesistema: um caracter S ou N que indica se a pessoa  gerente do sistema
 *  solicitante: um caracter S ou N que indica se a pessoa pode solicitar eleies
 * @param array $DadosPessoa
 * @return string
 */
function HomologaPessoa($DadosPessoa) {
	return null;
} ?>