<?php
/*
Copyright 2011 da UFRGS - Universidade Federal do Rio Grande do Sul

Este arquivo  parte do programa SAELE - Sistema Aberto de Eleies Eletrnicas.

O SAELE  um software livre; voc pode redistribu-lo e/ou modific-lo dentro dos
termos da Licena Pblica Geral GNU como publicada pela Fundao do Software Livre
(FSF); na verso 2 da Licena.

Este programa  distribudo na esperana que possa ser til, mas SEM NENHUMA GARANTIA;
sem uma garantia implcita de ADEQUAO a qualquer MERCADO ou APLICAO EM PARTICULAR.
Veja a Licena Pblica Geral GNU/GPL em portugus para maiores detalhes.

Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo "LICENCA.txt",
junto com este programa, se no, acesse o Portal do Software Pblico Brasileiro no
endereo www.softwarepublico.gov.br ou escreva para a Fundao do Software Livre(FSF)
Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA
*/

require_once('../CABECALHO.PHP');

if(!isset($_SESSION['Valido'])) {
    MostraCabecalho("Solicitao de Concurso Eleitoral");
    ?>
    <div class="Erro">
        <p><strong>Solicitao invlida</strong>.</p>

        <p><input type="button" value="Voltar" onclick="javascript: location.href = 'SOL_Solicitacao.php';" /></p>
    </div>
    <?php
    exit;
}

$Pessoa = Controlador::instancia()->recuperaPessoaLogada();

$Campos = $_SESSION['Campos'];

$Solicitacao = new SolicitacaoConcurso();
$Solicitacao->set("nomeconcurso", $Campos['NomeConcurso']);
$Solicitacao->set("datainicioconcurso", $Campos['DataInicio']." ".$Campos['HoraInicio']);
$Solicitacao->set("datafimconcurso", $Campos['DataFim']." ".$Campos['HoraFim']);
$Solicitacao->set("nomepessoacontato", $Campos['Contato']);
$Solicitacao->set("ramalcontato", $Campos['RamalContato']);
$Solicitacao->set("emailcontato", $Campos['EMail']);
$Solicitacao->set("indbarradoporip", $Campos['TipoEleicao']);
$Solicitacao->set("modalidadeconcurso", $_SESSION['ModalidadeConcurso']);
$Solicitacao->set("datasolicitacao", null, "now()");
$Solicitacao->set("usuariosolicitacao", $Pessoa);
$Solicitacao->salva();

foreach($Campos['Eleicao'] as $Indice => $Descr) {
    $Eleicao = $Solicitacao->geraEleicaoSolicitacao();
    $Eleicao->set("descricao", $Descr);
    $Eleicao->salva();
}

if($_SESSION['ModalidadeConcurso'] == "C") {
    $TituloPagina = "Solicitao de ConcursoEleitoral";

    $Titulo = "Solicitao de Eleio Eletrnica";
    $Mensagem = "Foi encaminhada uma solicitao de eleio, por ".$Pessoa->get("nomepessoa").".";
}
else {
    $TituloPagina = "Solicitao de Enquete";

    $Titulo = "Solicitao de Enquete";
    $Mensagem = "Foi encaminhada uma solicitao de enquete, por ".$Pessoa->get("nomepessoa").".";
}
unset($_SESSION['Campos']);
unset($_SESSION['Valido']);
unset($_SESSION['ModalidadeConcurso']);
MostraCabecalho($TituloPagina); ?>
<br />
<div align="center">
  <font size="2" face="verdana">Solicitao enviada com sucesso.</font><br /><br />

  <input type="button" value="Fechar" onclick="javascript: location.href='../ELC_Logout.php';" />
</div>

</body>
</html>